import React from "react";
import { View, Text } from "react-native";
import { Post } from "../util/api";
import { StyleSheet } from "react-native";

/**
 * This is the component that holds a single Post
 *
 * @param {Post} post The post to display
 * @returns {JSX.Element} The JSX for the Post
 */
export function PostView({ post }: { post: Post }): JSX.Element {
  // WARNING THIS IS NOT ACCEPTABLE WARNING REMOVE WARNING
  // eslint-disable-next-line @typescript-eslint/no-unused-vars
  const [thisPost, setThisPost] = React.useState<Post>(post);

  return (
    <View style={style.container}>
      <Text style={style.font} >{thisPost.content}</Text>
    </View>
  );
}

const style = StyleSheet.create({
  container: {
    flexDirection: "row",
    backgroundColor: '#fff',
    paddingVertical: 5,
  },
  font: {
    color: "#000",
  }
});
